#ifndef _requant_h_
#define _requant_h_

#include "fixed.h"
#include "mpcdec.h"

/* V A R I A B L E N */
extern const fixed_t __SCF[6 + 128];			//tabellierte Skalenfaktoren
extern const unsigned char Q_bit[32];			//Anzahl bits fuer Speicherung der Aufloesung (SV6)
extern const unsigned char Q_res[32][16];		//Index -> Aufloesung (SV6)
#define SCF(a) __SCF[(a) + 6]

//Requantisierungs
extern const fixed_t Cc[1 + 18];
extern const unsigned short Dc[18];
#define Requantisieren(a, b) (Cc[(b) + 1] * (a))

/* P R O Z E D U R E N */
#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

extern void Init_QuantTab(mpc_params *, int);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif