#ifndef _synth_h_
#define _synth_h_

#include "fixed.h"

typedef struct{
    unsigned long   function_area[210];
    fixed_t         filterout[2][2][2][16][8];   /* polyphase filterbank outputs */
    unsigned long   slot;		         /* current processing slot */
} synth_struct;

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

extern void Synthesis_Init(synth_struct *ss);
extern void SubBandSynthesis(synth_struct *ss,
                             fixed_t insample[][2][32],
                             short *outsample[2],
                             unsigned char nch,
                             unsigned char ns);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif